import 'package:domain/entity/paid_service_detail_entity.dart';
import 'package:domain/entity/paid_service_pay_success_info_entity.dart';
import 'package:flutter/cupertino.dart';
import 'package:widgets/load_state_layout.dart';

class ServiceOrderConfirmState {
  //页面 LoadView 状态的展示
  LoadState loadingState;
  String? errorMessage;
  double? totalPrice;
  String? visitTime;
  Map<String, Map<String, dynamic>> remarkInfo;
  PaidServiceDetailEntity? datas;

  // 成功支付后的数据
  PaidServicePaySuccessInfoEntity? paidServicePaySuccessInfo;


  ServiceOrderConfirmState({
    this.loadingState = LoadState.State_Loading,
    String? errorMessage,
    double? totalPrice,
    this.visitTime,
    remarkInfo,
    this.datas,
    this.paidServicePaySuccessInfo,
  }): remarkInfo = remarkInfo ?? {
    "remark": {
      'value': '',
      'controller': TextEditingController(),
      'hintText': '',
      'focusNode': FocusNode(),
      'obsecure': false,
    },
  },
  totalPrice = totalPrice ?? 0.0;

  ServiceOrderConfirmState copyWith({
    LoadState? loadingState,
    String? errorMessage,
    double? totalPrice,
    String? visitTime,
    Map<String, dynamic>? remarkInfo,
    PaidServiceDetailEntity? datas,
    PaidServicePaySuccessInfoEntity? paidServicePaySuccessInfo,
  }) {
    return ServiceOrderConfirmState(
      loadingState: loadingState ?? this.loadingState,
      errorMessage: errorMessage ?? this.errorMessage,
      totalPrice: totalPrice ?? this.totalPrice,
      visitTime: visitTime ?? this.visitTime,
      remarkInfo: remarkInfo ?? this.remarkInfo,
      datas: datas ?? this.datas,
    );
  }
}